Dual monitor configuration not saved (

Bug #1310313 reported by Chewy on 2014-04-20
42
This bug affects 9 people
Affects Status Importance Assigned to Milestone
xorg (Ubuntu)
Undecided
Unassigned

Bug Description

I am using dual monitor.
I can configure monitor positions using display setting and "save" them, but they are lost each time the PC is rebooted.

Regards

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xorg 1:7.7+1ubuntu8
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
ApportVersion: 2.14.1-0ubuntu3
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,ring,vpswitch,gnomecompat,move,imgpng,regex,resize,grid,place,mousepoll,session,wobbly,animation,fade,workarounds,cube,rotate,scale,unitymtgrabhandles,expo,ezoom,unityshell]
CompositorRunning: None
CurrentDesktop: GNOME
Date: Sun Apr 20 18:19:08 2014
DistUpgraded: 2014-04-19 20:35:04,818 DEBUG enabling apt cron job
DistroCodename: trusty
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] RV770 [Radeon HD 4870] [1002:9440] (prog-if 00 [VGA controller])
   Subsystem: PC Partner Limited / Sapphire Technology Device [174b:e850]
InstallationDate: Installed on 2013-05-05 (349 days ago)
InstallationMedia: Ubuntu-GNOME 13.04 "Raring Ringtail" - Release amd64 (20130424)
MachineType: System manufacturer System Product Name
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-24-generic root=UUID=e029201a-25f9-46d9-bfb8-491656161ec2 ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: Upgraded to trusty on 2014-04-19 (0 days ago)
dmi.bios.date: 10/02/2008
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1406
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: P5Q
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1406:bd10/02/2008:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5Q:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
version.compiz: compiz N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.52-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.0-4ubuntu5
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.0-4ubuntu5
version.xserver-xorg-core: xserver-xorg-core 2:1.15.1-0ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Sun Apr 20 17:57:09 2014
xserver.configfile: default
xserver.devices:
 input Power Button KEYBOARD, id 6
 input Power Button KEYBOARD, id 7
 input UVC Camera (046d:0807) KEYBOARD, id 8
 input AT Translated Set 2 keyboard KEYBOARD, id 9
 input ImExPS/2 Logitech MX Mouse MOUSE, id 10
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.15.1-0ubuntu2
xserver.video_driver: radeon

Chewy (luc-favre) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed

I'm having the same issue, using two monitors, one of which (B) is rotated and placed at the left of the landscape-oriented main monitor (A).
When the machine starts, the lightdm login screen has B configured to the right of A and not rotated. After logging in, I use the gnome-control-center to fix the display settings, which works nicely. After hitting "Apply" and confirming the new configuration, everything is awesome.
After logging out or rebooting the machine, everything is back in the initial, unconfigured state.
My graphics driver is xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2. The setup worked without any error in 13.04.

I confirm this in my installation (Ubuntu 14.04) on HP Probook 6506b.with Intel Integrated Graphics system.

I save a dual monitor config with "mirror" set to yes. On each reboot Gnome loses the setting. It also loses the setting sometime when I am switching from one program to another using alt-tab.

The problem arises because despite telling the display setting configurator to clone two displays (laptop lcd plus external samsung monitor), monitors.xml contains x=0 for the primary display and x=1366 for the secondary display. So I get adjacent displays after reboot or re-login. Setting it to clone again through the display settings gives me a cloned display for the session. However, the cloning may stop suddenly in the middle of a window switching operation (as mentioned above)

What did I do:

1. modified x to make it equal to zero for the secondary display

However, after logging out and logging back in I noticed that the displays were back to default behaviour (adjacent)

So i further

2. downloaded the script at http://bernaerts.dyndns.org/linux/74-ubuntu/309-ubuntu-dual-display-monitor-position-lost to ensure that the displays are cloned after the gnome session starts

Attaching a copy of the backup of the monitors.xml file (monitors.xml~) to illustrate the problem

This is a bug in my view and should be fixed fast because it makes work difficult.

This applies to Unity as much as to Gnome?field.comment=The problem arises because despite telling the display setting configurator to clone two displays (laptop lcd plus external samsung monitor), monitors.xml contains x=0 for the primary display and x=1366 for the secondary display. So I get adjacent displays after reboot or re-login. Setting it to clone again through the display settings gives me a cloned display for the session. However, the cloning may stop suddenly in the middle of a window switching operation (as mentioned above)

What did I do:

1. modified x to make it equal to zero for the secondary display

However, after logging out and logging back in I noticed that the displays were back to default behaviour (adjacent)

So i further

2. downloaded the script at http://bernaerts.dyndns.org/linux/74-ubuntu/309-ubuntu-dual-display-monitor-position-lost to ensure that the displays are cloned after the gnome session starts

Attaching a copy of the backup of the monitors.xml file (monitors.xml~) to illustrate the problem

This is a bug in my view and should be fixed fast because it makes work difficult.

This applies to Unity as much as to Gnome

Sorry but the above did not work either because the x value for the secondary monitor would keep getting reset to 1366. I had to insert a line in the script which used xrandr with the "--same-as" option to clone the display. This workaround has worked

More:

THe above fix works from reboot to reboot, but if something causes X to reload, the problem occurs again. I am attaching the Xorg.0.log which captures the framebuffer being resized

So, I've got this issue on another machine (Dell Inspiron). What can I do to help getting this fixed? It's really annoying since it also happens occasionally after the screen saver kicked in.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers